"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var logger_1 = require("../logger/logger");
var ionic_project_1 = require("../util/ionic-project");
function createBonjourService(config) {
    if (!config.devapp) {
        return;
    }
    ionic_project_1.getProjectJson()
        .then(function (project) { return project.name; })
        .catch(function () { return 'ionic-app-scripts'; })
        .then(function (projectName) {
        try {
            var bonjour = require('bonjour')();
            var name_1 = projectName + ':' + config.httpPort;
            bonjour.publish({
                name: name_1,
                type: 'ionicdev',
                port: config.httpPort
            });
            logger_1.Logger.info("publishing devapp service (" + name_1 + ")");
        }
        catch (e) {
            logger_1.Logger.warn('bonjour failed when trying to publish service');
            logger_1.Logger.debug(e);
        }
    });
}
exports.createBonjourService = createBonjourService;
